System freeze & no display if set External monitor as primary (Performance mode)

Bug #1586260 reported by Xinxiu Yang on 2016-05-27
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
High
Timo Aaltonen
Trusty
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Timo Aaltonen
xorg-server-lts-vivid (Ubuntu)
Trusty
High
Unassigned
xorg-server-lts-xenial (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]

System freeze & no display if set External monitor as primary (Performance mode)

[Test case]

1. Setup Graphic mode to Performance mode
2. Plug External monitor with HDMI
3. Set display mode to External monitor only is pass
4. Set display mode to Extend/ Mirror mode

Expected results: External monitor can be set as primary normally

Actual results: System freeze & no display if set External monitor as primary (Performance mode)

[Regression potential]

Unknown right now, upstream review pending.

Timo Aaltonen (tjaalton) on 2016-05-27
Changed in xorg-server (Ubuntu Trusty):
status: New → Invalid
Changed in xorg-server-lts-vivid (Ubuntu Xenial):
status: New → Invalid
Changed in xorg-server-lts-vivid (Ubuntu Yakkety):
status: New → Invalid
Changed in xorg-server (Ubuntu Yakkety):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → Triaged
Timo Aaltonen (tjaalton) on 2016-05-27
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.3-1ubuntu5

---------------
xorg-server (2:1.18.3-1ubuntu5) yakkety; urgency=medium

  * randr-adjust-masters-last-set-time.diff,
    randr-do-not-check-the-screen-size.diff:
    Fix issues changing display mode on prime setups. (LP: #1586260)

 -- Timo Aaltonen <email address hidden> Fri, 27 May 2016 11:51:56 +0300

Changed in xorg-server (Ubuntu Yakkety):
status: Triaged → Fix Released

Hello Xinxiu, or anyone else affected,

Accepted xorg-server-lts-vivid into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-lts-vivid/2:1.17.1-0ubuntu3.1~trusty1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Xinxiu Yang (imtxc) wrote :
tags: added: verification-done
removed: verification-needed
no longer affects: xorg-server-lts-vivid (Ubuntu Xenial)
no longer affects: xorg-server-lts-vivid (Ubuntu Yakkety)
Changed in xorg-server (Ubuntu Trusty):
importance: Undecided → High
Changed in xorg-server (Ubuntu Xenial):
importance: Undecided → High
Changed in xorg-server (Ubuntu Yakkety):
importance: Undecided → High
Changed in xorg-server-lts-vivid (Ubuntu Trusty):
importance: Undecided → High
no longer affects: xorg-server-lts-vivid (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-lts-vivid - 2:1.17.1-0ubuntu3.1~trusty1.1

---------------
xorg-server-lts-vivid (2:1.17.1-0ubuntu3.1~trusty1.1) trusty; urgency=medium

  * randr-adjust-masters-last-set-time.diff,
    randr-do-not-check-the-screen-size.diff:
    Fix issues changing display mode on prime setups. (LP: #1586260)

 -- Timo Aaltonen <email address hidden> Mon, 30 May 2016 16:41:23 +0300

Changed in xorg-server-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xorg-server-lts-vivid has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Timo Aaltonen (tjaalton) on 2016-09-01
Changed in xorg-server-lts-xenial (Ubuntu):
status: New → Invalid
no longer affects: xorg-server-lts-xenial (Ubuntu Trusty)
no longer affects: xorg-server-lts-xenial (Ubuntu)

Hello Xinxiu, or anyone else affected,

Accepted xorg-server into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.18.4-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server (Ubuntu Xenial):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

echoing what was mentioned on the private bug that the new version in xenial-proposed fixes the bug

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.4-0ubuntu0.1

---------------
xorg-server (2:1.18.4-0ubuntu0.1) xenial; urgency=medium

  * New upstream bugfix release. (LP: #1619142)
  * randr-adjust-masters-last-set-time.diff,
    randr-do-not-check-the-screen-size.diff:
    Fix issues changing display mode on prime setups. (LP: #1586260)
  * os-treat-ssh-as-a-non-local-client.diff: Dropped, upstream.
  * drm_device_keep_trying.patch: Dropped, shouldn't be needed anymore,
    and causes issues on non-x86 archs. (LP: #1581076)
  * debian/patches/xmir.patch: backport XMir fixes from Ubuntu "Yakkety Yak"
    - fix button/menu focus failures (lp: #1590553)
    - ignore 'unnkown 11 event' (lp: #1617925)
    - don't call epoxy every frame (lp: #1617932)
    - fix unclickable parts of the screen after rotation (lp: #1613708)
    - fix key repeat issues (lp: #1591356)

 -- Timo Aaltonen <email address hidden> Thu, 01 Sep 2016 10:28:26 +0300

Changed in xorg-server (Ubuntu Xenial):
status: Fix Committed → Fix Released
Amr Ibrahim (amribrahim1987) wrote :

Is the update going to be pushed into Trusty in xorg-server-lts-xenial?

Chris Halse Rogers (raof) wrote :

Hello Xinxiu, or anyone else affected,

Accepted xorg-server-lts-xenial into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-lts-xenial/2:1.18.4-0ubuntu0.2~trusty1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Xinxiu, or anyone else affected,

Accepted xorg-server-lts-xenial into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-lts-xenial/2:1.18.4-0ubuntu0.2~trusty2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-lts-xenial (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers